Skip to main content

List Webhooks

POST

https://webhooks.smartsuite.com/smartsuite.webhooks.engine.Webhooks/ListWebhooks

Lists a Solution's webhooks. Note that you will receive data in batches according to the specified page_size. Use page_token to retrieve the next page of webhooks.

Example Request
curl -X POST https://webhooks.smartsuite.com/smartsuite.webhooks.engine.Webhooks/ListWebhooks \
-H "Authorization: Token YOUR_API_KEY" \
-H "ACCOUNT-ID: WORKSPACE_ID" \
-H "Content-Type: application/json" \
--data '{
"solution_id": "{{solution_id}}",
"page_size": "50",
"page_token": ""
}'

Request Body​

ParamTypeOptionalDescription
solution_idstringNoSpecifies the Solution to return webhooks for.
page_sizestringYesNumber of webhooks per page, as a string, e.g. "50"
page_tokenstringYesLeave empty for the first page. Pass the next_page_token from the previous response to get the next page

Response​

ParamTypeDescription
webhooksarray of webhook objectsThe webhooks. See Get Webhook for the webhook object
next_page_tokenstringToken used to request the next page of webhooks
Example Response - 200
{
"webhooks": [
{
"webhook_id": "3c8a1835-a39a-43ba-ba9c-6fbce5581e34",
"locator": {
"account_id": "WORKSPACE_ID",
"solution_id": "641b70cb0d94c969a49983aa"
},
"filter": {
"solution": {}
},
"kinds": [
"RECORD_CREATED"
],
"created_at": {
"by": "Peter Novosel",
"at": "2023-06-20T14:26:47.192Z"
},
"updated_at": {
"by": "Peter Novosel",
"at": "2023-06-20T14:26:47.192Z"
},
"notification_status": {
"enabled": {
"url": "https://sswebhooks.requestcatcher.com/"
}
},
"system_status": {
"enabled": {
"expires_at": "2023-11-02T14:21:43Z"
}
}
}
]
}